# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::FileStreamOutput Class Reference

`#include <pic_io.h>`

List of all members.

## Public Member Functions

- FileStreamOutput (const char *output_name, const SourceParams &sp, bool interlace)
    Constructor.
- virtual ~FileStreamOutput ()
    Destructor.
- StreamPicOutput * GetStream ()

## Private Attributes

- std::ostream * m_op_pic_ptr
    Physical Output stream.
- StreamPicOutput * m_op_pic_str
    Pic output Stream.

## Detailed Description

Outputs pictures to a file

## Constructor & Destructor Documentation

dirac::FileStreamOutput::FileStreamOutput | ( | const char * | output_name,
|  | const SourceParams & | sp,
|  | bool | interlace |
| ) |  |  |

Constructor, takes

Parameters:

  | output_name | the name of the output file
  | sp | the source parameters
  | interlace | the output is interlaced

virtual dirac::FileStreamOutput::~FileStreamOutput | ( |  | ) | `[virtual]`

## Member Function Documentation

StreamPicOutput* dirac::FileStreamOutput::GetStream | ( |  | ) | `[inline]`

References m_op_pic_str.

## Member Data Documentation

std::ostream* dirac::FileStreamOutput::m_op_pic_ptr`[private]`

StreamPicOutput* dirac::FileStreamOutput::m_op_pic_str`[private]`

Referenced by GetStream().

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.